Skip to main content

Use a venv for srgbify

ID
6d561af
date
2023-11-15 12:17:58+00:00
author
Alex Chan <alex@alexwlchan.net>
parent
8b10176
message
Use a venv for srgbify
changed files
3 files, 8 additions, 2 deletions

Changed files

.with-venv-python/srgbify (0) → .with-venv-python/srgbify (125)

diff --git a/.with-venv-python/srgbify b/.with-venv-python/srgbify
new file mode 100755
index 0000000..d3a5cd4
--- /dev/null
+++ b/.with-venv-python/srgbify
@@ -0,0 +1,6 @@
+#!/usr/bin/env bash
+
+set -o errexit
+set -o nounset
+
+~/repos/scripts/.venv/bin/python3 ~/repos/scripts/images/srgbify.py "$@"

images/README.md (5786) → images/README.md (5792)

diff --git a/images/README.md b/images/README.md
index e41900f..c921081 100644
--- a/images/README.md
+++ b/images/README.md
@@ -160,8 +160,8 @@ These scripts are for working with images and other visual material.
   </dd>
 
   <dt>
-    <a href="https://github.com/alexwlchan/scripts/blob/main/images/srgbify">
-      <code>srgbify [PATH]</code>
+    <a href="https://github.com/alexwlchan/scripts/blob/main/images/srgbify.py">
+      <code>srgbify.py [PATH]</code>
     </a>
   </dt>
   <dd>

images/srgbify (1204) → images/srgbify.py (1204)

diff --git a/images/srgbify b/images/srgbify.py
similarity index 100%
rename from images/srgbify
rename to images/srgbify.py